#!/bin/sh
####################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# 5698-WSH
# (C) Copyright IBM Corp. 1998, 2006 All Rights Reserved.
###################################################################


#------- get the parametres from the caller -------
INSTALL_DIR="$1"
PROFILE="$2"

echo "INSTALL_DIR=$INSTALL_DIR"
echo "PROFILE=$PROFILE"


if [ -f $INSTALL_DIR/appserver/profiles/$PROFILE/logs/server1/server1.pid ]
    then
        PID=`cat $INSTALL_DIR/appserver/profiles/$PROFILE/logs/server1/server1.pid`
        echo "The server1.pid has been found and pid for server is $PID"
        echo "It is going to be killed."
        kill -9 $PID
fi

if [ -d $INSTALL_DIR/appserver ]
    then
        rm -rf $INSTALL_DIR/appserver
    else
        echo "The installation directory $INSTALL_DIR/appserver does not exist. Application server has been already removed."
fi


if [ -d $INSTALL_DIR/wastools ]
then
    rm -rf $INSTALL_DIR/wastools
fi
