#!/bin/sh
####################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# 5698-WSH
# (C) Copyright IBM Corp. 1998, 2006 All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###################################################################


echo "Licensed Materials - Property of IBM"
echo "5698-WSH"
echo "(C) Copyright IBM Corp. 1998, 2006 All Rights Reserved."
echo "US Government Users Restricted Rights - Use, duplication or"
echo "disclosure restricted by GSA ADP Schedule Contract with IBM Corp."


INSTALL_DIR="$1"
MAEUSER="$2"
TMP_DIR="$3"

echo "TWS install dir $INSTALL_DIR"
echo "TWS user $MAEUSER"
echo "TMP dir $TMP_DIR"

#
# execute_command is used to execute a command and capture errors.
#
# Arguments:
#	<command> args
execute_command()
{
 $@
 exitValue=$?
 if [ $exitValue -ne 0 ]
 then
   echo "$@." 2>>$TMP_DIR/tws83/twsismp.log
   exit $exitValue
 fi
}

# run the twsinst -uninst command
execute_command $INSTALL_DIR/twsinst -uninst -uname $MAEUSER



